Subject: Re: bug#61391: [PATCH 0/6] Improvements to Icedove (icons, gexps, un-bundling)
From: Maxim Cournoyer <[email-masked]>
To: Morgan Smith <[email-masked]>
Cc: [email-masked], Jonathan Brielmaier <[email-masked]>
Date: Mon, 13 Feb 2023 16:20:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Morgan Smith <[email-masked]> writes:

> Hi Maxim,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> About the icedove/wayland package, that appears to be a solely a
>> wrapper, so I don't think the fix needs to be propagated there.
>
> Since it's a wrapper the original files aren't installed into the
> profile, only the files in the wrapper.  So if anyone wanted to look for
> icons at "lib/icedove/chrome/icons/default" they might be fine for the
> original package but not the wrapper.  The wrapper copies "share" in
> though so the icons you copy there will be found just fine.
>
> I was simply questioning if someone else would try to find the icons at
> "lib/icedove/chrome/icons/default and if they would be out of luck since
> they don't exist in the wrapper.
>
>>From what you're saying, it sounds like this isn't an issue at all
> because no-one cares about those icons.

Indeed, that's my understanding too.

> Also you might want to take a look at bug#61438 as someone is trying to
> update icedove.  Also, the reason I discovered this patch series is
> because I expereinced bug#61438 and wanted to see if anyone had a fix
> ;).

I see the above as been merged already, great!  And I'll have more
Icedove fixes coming that enables its language support.

-- 
Thanks,
Maxim